Requests - Delete Requests Request Id

Delete a symbol request by request identifier.

DELETE https://artifacts.dev.azure.com/{organization}/_apis/symbol/requests/{requestId}?api-version=6.0-preview.1
DELETE https://artifacts.dev.azure.com/{organization}/_apis/symbol/requests/{requestId}?synchronous={synchronous}&api-version=6.0-preview.1

URI Parameters

Name In Required Type Description
organization
path True

string

The name of the Azure DevOps organization.

requestId
path True

string

The symbol request identifier.

api-version
query True

string

Version of the API to use. This should be set to '6.0-preview.1' to use this version of the api.

synchronous
query

boolean

If true, delete all the debug entries under this request synchronously in the current session. If false, the deletion will be postponed to a later point and be executed automatically by the system.

Responses

Name Type Description
200 OK

The request no longer exists.

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.symbols_manage Grants the ability to read, write and manage symbols.

Examples

Sample request

DELETE https://artifacts.dev.azure.com/fabrikam/_apis/symbol/requests/9dc380b5c295c03188108014a73574987cdef9a4edce00b01c9ec2d05fa97c37?api-version=6.0-preview.1

Sample response